@import './_variables.scss';

.card-img {
  img {
    position: relative;
    overflow: hidden;
    
    transition: transform 0.3s ease-in-out;
  }
  img:hover {
    transform: scale(1.03);
  }
}


.card__lightbox {
  position: relative;
  .poster {
    height: 0;
    padding-top: 150%;
  }
  .backdrop {
    height: 0;
    padding-top: 60%;
  }
  overflow: hidden;
  transition: transform 0.3s ease-in-out;
  img {
    max-width: 50%;
    border-radius: .5em;
    -webkit-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    -moz-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    position: absolute;
    top: 0;
    left: 0;
    transform: scale(0.97);
  }
  &.lazyloaded img {
    transform: scale(1);
  }
  
}

.card-name {
  margin-top: 1rem;
  overflow: hidden;
  font-size: 1.3rem;
  text-overflow: ellipsis;
  letter-spacing: $letter-spacing;
  white-space: nowrap;
  @media (min-width: $breakpoint-large) {
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
  }
}

  .person-known-for {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  letter-spacing: $letter-spacing;
}


* {
  box-sizing: border-box;
}

html, body {
  font-family: 'Open Sans', sans-serif;
}

.clearfix:before, .clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}

.wrapper {
  width: 1440px;
  max-width: 90%;
  margin: 0 auto;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 300;
}

#top_header {
  padding: 1.5em 0;
}

#top_header .logo {
  float: left;
  text-transform: uppercase;
  font-size: 1.15em;
  font-weight: 700;
}

#top_header .logo span {
  font-weight: 300;
  color: #73e298;
}

#top_header #main_nav {
  float: right;
  font-size: .9em;
  padding-top: 1em;
}

#top_header #main_nav a {
  color: #8b8b9f;
  text-decoration: none;
  margin-left: 1em;
}

.menu {
  display: none;
}

#banner {
  /* background: url(../static/img/banner_background.jpg); */
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  padding: 6.5em 0;
  border-bottom: 1px solid #d4d4d4;
}

#banner #banner_content_wrapper {
  width: 900px;
  max-width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}


#banner #poster {
  width: 275px;
  position: relative;
  float: left;
}

#banner #poster .featured_image {
  width: 100%;
  max-width: 100%;
  border-radius: .5em;
  -webkit-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
  -moz-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
  box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
}

#banner #poster .play_button {
  position: absolute;
  width: 80px;
  left: 50%;
  top: 50%;
  margin: -40px 0 0 -40px;
}

#banner #content {
  float: left;
  width: 500px;
  margin-left: 100px;
}

#banner #content .title {
  display: inline;
  font-size: 1.75em;
  color: #FFFFFF;
}

#banner #content .ratings {
  display: inline;
  margin-left: 1em;
}

#banner #content .ratings i {
  color: #73e298;
  font-size: 1.35em;
  margin: 0 .15em;
}

#banner #content .ratings .inactive {
  color: #48494d;
}

#banner #content .description {
  color: #bbbebf;
  font-size: 1em;
  line-height: 2;
}

#banner #content .info {
  color: #FFFFFF;
  font-size: .8em;
  font-weight: 700;
  margin-top: 3em;
}

#banner #content .info span {
  margin: 0 .5em;
}

#top_movies, #top_shows {
  padding: 2em 0;
}

#top_movies header, #top_shows header {
  padding: 0 0 1.5em 0;
}

#top_movies header h2, #top_movies header .view_more, #top_shows header h2, #top_shows header .view_more {
  display: inline;
}

#top_movies header h2, #top_shows header h2 {
  font-size: 1.75em;
}

#top_movies header .view_more, #top_shows header .view_more {
  float: right;
  font-size: .8em;
  margin: .75em 3.5% 0 0;
}

#top_movies {
  border-bottom: 1px solid #d4d4d4;
}

.row {
  width: 100%;
}

.row .post {
  // width: 15%;
  // float: left;
  // margin-top : 1.5%;
  // margin-right: 1.5%;
}

.row .post img {
  width: 100%;
  max-width: 100%;
  border-radius: .5em;
  object-fit: contain;
  background-size: cover;
}

img.company {
  width: 100%;
  max-width: 100%;
  height: 50%;
  max-height: 50%;
  border-radius: .5em;
  
}

.row .post .title {
  font-size: 1.25em;
  margin: 1em 0 0 0;
  color: #e4fbff;
}

.row .post .cast_name {
  font-size: 1.1rem;
  margin: 1em 0 0 0;
  font-style: bold;
  color: black;
}

.row .post .post_info {
  font-size: .75em;
  color: #8b8b9f;
  margin: 0.5em 0;
}

#newsletter {
  padding: 5em 0;
  text-align: center;
  background: #2a2a2e;
}

#newsletter .newsletter_inner {
  width: 600px;
  max-width: 90%;
  margin: 0 auto;
}

#newsletter h2 {
  font-size: 1.75em;
  color: #FFFFFF;
}

#newsletter .sign_up_form {
  margin-top: 3em;
}

#newsletter .sign_up_form input[type="text"], #newsletter .sign_up_form input[type="email"] {
  width: 48%;
  margin: 0 .5%;
  height: 3.25em;
  border: none;
  outline: none;
  border-radius: .3em;
  background: #404043;
  padding: .5em 1.25em;
  font-size: .8em;
  color: #FFFFFF;
}

#newsletter .sign_up_form .button {
  border: none;
  outline: none;
  padding: 1em 4.5em;
  border-radius: 2em;
  background: #73e298;
  color: #FFFFFF;
  font-weight: 700;
  font-size: .9em;
  margin-top: 3em;
}

#main_footer {
  padding: 2.5em 0;
  text-align: center;
}

#main_footer .logo {
  text-transform: uppercase;
  font-size: 1.15em;
  font-weight: 700;
}

#main_footer .logo span {
  font-weight: 300;
  color: #73e298;
}

#main_footer .copyright {
  color: #8b8b9f;
  font-size: .75em;
  margin: 0;
}

#main_footer .links {
  display: inline;
}

#main_footer .links a {
  color: #8b8b9f;
  font-size: .75em;
  text-decoration: none;
  margin: 0 .5em;
}

#main_footer .links a:hover {
  color: #73e298;
}

@media only screen and (max-width: 768px) {
  #main_nav {
    display: none;
  }
  #main_nav.active {
    display: block;
    width: 100%;
  }
  #main_nav.active a {
    display: block;
    padding: 1em 0;
    border-bottom: 1px solid #E9E9E9;
  }
  #main_nav.active a:last-child {
    border-bottom: none;
  }
  .menu {
    display: block;
    float: right;
  }
  .menu i {
    font-size: 1.5em;
    color: #252529;
    padding-top: .6em;
  }
  #banner {
    padding: 3.5em 0;
    border-bottom: 1px solid #d4d4d4;
  }
  #banner #poster {
    width: 250px;
  }
  #banner #poster .play_button {
    width: 60px;
    margin: -30px 0 0 -30px;
  }
  #banner #content {
    margin-left: 50px;
  }
  #banner #content .title {
    font-size: 1.5em;
  }
  #banner #content .ratings i {
    font-size: 1em;
  }
  #banner #content .description {
    font-size: .9em;
  }
  #banner #content .info {
    font-size: .7em;
    margin-top: 2em;
  }
  #banner #content .info span {
    margin: 0 .25em;
  }
  #top_movies, #top_shows {
    padding: 3em 0;
  }
  #top_movies header, #top_shows header {
    padding: 0 0 1.5em 1.25%;
  }
  #top_movies header h2, #top_shows header h2 {
    font-size: 1.5em;
  }
  #top_movies header .view_more, #top_shows header .view_more {
    margin: .75em 2.25% 0 0;
  }
  .row .post {
    width: 30.6%;
    margin: 0 1.25% 2em 1.25%;
  }
  .row .post .title {
    font-size: 1em;
    margin: .5em 0 0 0;
  }
  .row .post .post_info {
    font-size: .65em;
  }
}

@media only screen and (max-width: 575px) {
  #banner #banner_content_wrapper {
    display: block;
  }
  #banner #banner_content_wrapper #poster {
    width: 250px;
    float: none;
    display: block;
    margin: 0 auto;
  }
  #banner #banner_content_wrapper #content {
    width: 100%;
    margin: 1em auto 0 auto;
  }
  #top_movies header, #top_shows header {
    margin-bottom: 2em;
  }
  .row .post {
    width: 250px;
    margin: 0 auto 2em auto;
    float: none;
  }
  #newletter {
    padding: 3em 0;
  }
  #newletter h2 {
    font-size: 1.35em;
  }
  #newletter sign_up_form {
    margin-top: 2em;
  }
  #newletter sign_up_form input[type="text"], #newletter sign_up_form input[type="email"] {
    width: 90%;
    margin: 0 0 1em 0;
  }
  #newletter sign_up_form .button {
    margin-top: 2em;
  }
}

img.poster:hover {
  transform: scale(1.05);
}

img.img-gallery {
max-width: 50%;
border-radius: .5em;
-webkit-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
-moz-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
}
.view_more {
  text-decoration : none;
  cursor : pointer;
}

// new 

.card {
  margin-bottom: 1.5rem;
  line-height: $base-line-height;

  @media (min-width: $breakpoint-xsmall) {
    margin-bottom: 2rem;
  }
}

.card__lightbox {
  position: relative;
  .poster {
    height: 0;
    padding-top: 150%;
  }
  .backdrop {
    height: 0;
    padding-top: 60%;
  }
  overflow: hidden;
  transition: transform 0.3s ease-in-out;
  img {
    max-width: 50%;
    border-radius: .5em;
    -webkit-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    -moz-box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    box-shadow: 0px 0px 76px 0px rgba(0, 0, 0, 0.47);
    position: absolute;
    top: 0;
    left: 0;
    transform: scale(0.97);
  }
  &.lazyloaded img {
    transform: scale(1);
  }
  
}
.card__img {
  position: relative;
  height: 0;
  padding-top: 150.27%;
  overflow: hidden;
  background-size: contain;
  transition: transform 0.3s ease-in-out;

  img,
  span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: scale(0.97);
  }

  span {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.3rem;

    @media (min-width: $breakpoint-large) {
      font-size: 1.6rem;
    }
  }

  &.lazyloaded img {
    transform: scale(1);
  }
}

.card__link:hover,
.card__link:focus {
  .card__img {
    transform: scale(1.02);
  }
}

.card__name {
  margin-top: 1rem;
  overflow: hidden;
  font-size: 1.3rem;
  text-overflow: ellipsis;
  letter-spacing: $letter-spacing;
  white-space: nowrap;

  @media (min-width: $breakpoint-large) {
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
  }
}

.card__rating {
  display: flex;
  align-items: center;
}

.card__vote {
  margin-left: 1rem;
  font-size: 1.2rem;
  color: $text-color-grey;

  @media (min-width: $breakpoint-large) {
    font-size: 1.4rem;
  }
}



@media (max-width: $breakpoint-xsmall - 1) {
  .card__name,
  .card__rating {
    display: none;
  }
}

.top-100 {top: 100%}
    .bottom-100 {bottom: 100%}
    .max-h-select {
        max-height: 300px;
    }



